SybaseServerProcess (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.db.sybase.SybaseServerProcess interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.db.sybase
Interface SybaseServerProcess

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, RuntimeProcess, java.io.Serializable

    public interface SybaseServerProcess

extends RuntimeProcess

Represents a server process for Sybase.

Persistable:
  true
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.sys.RuntimeProcess
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getName()`
`boolean` | `hasName()`
`void` | `setName(java.lang.String name)`

Methods inherited from interface com.collation.platform.model.topology.sys.RuntimeProcess
`getCmdLine, getCommand, getConnections, getCWD, getEnv, getExecutable, getFileDescriptorLimit, getFileSystemMappings, getListenPorts, getParent, getPID, getPorts, getPPID, getTcpPorts, getUID, getUnattached, getUser, getWindowsServices, hasCmdLine, hasCommand, hasConnections, hasCWD, hasEnv, hasExecutable, hasFileDescriptorLimit, hasFileSystemMappings, hasListenPorts, hasParent, hasPID, hasPorts, hasPPID, hasTcpPorts, hasUID, hasUnattached, hasUser, hasWindowsServices, setCmdLine, setCommand, setConnections, setCWD, setEnv, setExecutable, setFileDescriptorLimit, setFileSystemMappings, setListenPorts, setParent, setPID, setPorts, setPPID, setTcpPorts, setUID, setUnattached, setUser, setWindowsServices`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD